﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using WebsiteProDev.DataAccess.Context;

#nullable disable

namespace WebsiteProDev.DataLayer.Migrations
{
    [DbContext(typeof(ProDevDbContext))]
    [Migration("20230609173256_init")]
    partial class init
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.16")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder, 1L, 1);

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<System.Guid>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("RoleId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.ToTable("RoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<System.Guid>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"), 1L, 1);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.ToTable("UserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<System.Guid>", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("UserId", "ProviderKey");

                    b.ToTable("UserLogin", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<System.Guid>", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("RoleId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("UserId", "RoleId");

                    b.ToTable("UserRole", (string)null);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<System.Guid>", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("UserId", "LoginProvider");

                    b.ToTable("UserToken", (string)null);
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Course", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("03637e59-9a20-4738-afe6-c17602747389"));

                    b.Property<DateTime>("ApprovedAt")
                        .HasColumnType("datetime2");

                    b.Property<Guid>("ApprovedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("CourseDescription")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("CourseName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(876));

                    b.Property<byte[]>("ImageData")
                        .HasColumnType("varbinary(MAX)");

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<Guid>("LanguageId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<decimal?>("Price")
                        .HasColumnType("decimal(18,2)");

                    b.Property<Guid?>("QuizLanguageId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<bool>("Status")
                        .HasColumnType("bit");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(946));

                    b.HasKey("Id");

                    b.HasIndex("QuizLanguageId");

                    b.ToTable("Course", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("150db41c-8766-4dce-9467-d236a8489d02"),
                            ApprovedAt = new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(1080),
                            ApprovedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            CourseDescription = "Learning C# basic",
                            CourseName = "C#",
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LanguageId = new Guid("00000000-0000-0000-0000-000000000000"),
                            Price = 100m,
                            Status = true,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("160db41c-8766-4dce-9467-d236a8489d02"),
                            ApprovedAt = new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(1085),
                            ApprovedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            CourseDescription = "Learning C++ basic",
                            CourseName = "C++",
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LanguageId = new Guid("00000000-0000-0000-0000-000000000000"),
                            Price = 100m,
                            Status = true,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("170db41c-8766-4dce-9467-d236a8489d02"),
                            ApprovedAt = new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(1087),
                            ApprovedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            CourseDescription = "Learning Python basic",
                            CourseName = "Python",
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LanguageId = new Guid("00000000-0000-0000-0000-000000000000"),
                            Price = 100m,
                            Status = true,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("180db41c-8766-4dce-9467-d236a8489d02"),
                            ApprovedAt = new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(1090),
                            ApprovedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            CourseDescription = "Learning Ruby basic",
                            CourseName = "Ruby",
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LanguageId = new Guid("00000000-0000-0000-0000-000000000000"),
                            Price = 100m,
                            Status = true,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Experience", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("f3e1dcb6-e725-45f9-a37d-56b9c8995f04"));

                    b.Property<string>("Company")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(1555));

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<string>("Position")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(1612));

                    b.HasKey("Id");

                    b.ToTable("Experience", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("e0df41f3-3195-48ef-8d05-ca564277d548"),
                            Company = "ABC Technologies",
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            Position = "Software Engineer",
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("e0df41f3-3195-48ef-8d05-ca564277d549"),
                            Company = "XYZ Corporation",
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            Position = "Product Manager",
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("e0df41f3-3195-48ef-8d05-ca564277d550"),
                            Company = "123 Marketing Agency",
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            Position = "Marketing Specialist",
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Level", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("6d386f1b-a510-46c3-9026-70eba9701b1e"));

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(1967));

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<string>("LevelName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal>("Score")
                        .HasColumnType("decimal(18,2)");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(2048));

                    b.HasKey("Id");

                    b.ToTable("Level", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("52ba17a0-3195-48ef-8d05-ca564277d548"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LevelName = "Senior",
                            Score = 9.5m,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("353ab79b-3195-48ef-8d05-ca564277d548"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LevelName = "Mid-level",
                            Score = 8.2m,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("d3affd1e-3195-48ef-8d05-ca564277d548"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LevelName = "Junior",
                            Score = 7.1m,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Payment", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("f0422562-f161-4726-9d2f-cdafcd07f742"));

                    b.Property<Guid>("CourseId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(2384));

                    b.Property<DateTime?>("DateTime")
                        .HasColumnType("datetime2");

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<bool>("Status")
                        .HasColumnType("bit");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(2443));

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("UserId", "CourseId");

                    b.ToTable("Payment", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("e0df41f4-3195-48ef-8d05-ca564277d548"),
                            CourseId = new Guid("150db41c-8766-4dce-9467-d236a8489d02"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            DateTime = new DateTime(2023, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Status = true,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            UserId = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Person", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("9fe1b62e-5931-4945-8c1a-a61c1ffbc68d"));

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .HasColumnType("datetime2");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool?>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("MidName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("Status")
                        .HasColumnType("bit");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .HasColumnType("datetime2");

                    b.HasKey("Id");

                    b.ToTable("Person", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("220db41c-8766-4dce-9467-d236a8489d22"),
                            FirstName = "Vu",
                            LastName = "Dung",
                            MidName = "Van",
                            Status = false
                        },
                        new
                        {
                            Id = new Guid("230db41c-8766-4dce-9467-d236a8489d23"),
                            FirstName = "Do",
                            LastName = "Bac",
                            MidName = "Doan",
                            Status = false
                        },
                        new
                        {
                            Id = new Guid("240db41c-8766-4dce-9467-d236a8489d24"),
                            FirstName = "Nguyen",
                            LastName = "Hau",
                            MidName = "Dinh",
                            Status = false
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.PersonExperience", b =>
                {
                    b.Property<Guid?>("PersonId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("1c04d4ce-8678-4a4d-9f78-cc149cf08137"));

                    b.Property<Guid?>("ExperienceId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("a36711f3-b9b6-4295-9b82-3cc5f4c712a5"));

                    b.HasKey("PersonId", "ExperienceId");

                    b.HasIndex("ExperienceId");

                    b.ToTable("PersonExperience", (string)null);

                    b.HasData(
                        new
                        {
                            PersonId = new Guid("220db41c-8766-4dce-9467-d236a8489d22"),
                            ExperienceId = new Guid("e0df41f3-3195-48ef-8d05-ca564277d548")
                        },
                        new
                        {
                            PersonId = new Guid("230db41c-8766-4dce-9467-d236a8489d23"),
                            ExperienceId = new Guid("e0df41f3-3195-48ef-8d05-ca564277d548")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Quiz", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("f17a062f-36f9-46a2-9caf-5b40a3ed8aa4"));

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(8043));

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<string>("QuizDescription")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid?>("QuizLanguageId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("QuizName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("QuizSlug")
                        .HasColumnType("nvarchar(max)");

                    b.Property<double>("Score")
                        .HasColumnType("float");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(8130));

                    b.HasKey("Id");

                    b.HasIndex("QuizLanguageId");

                    b.ToTable("Quiz", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("d3affd1e-3195-48ef-8d05-ca564277d666"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            QuizDescription = "Test your math skills",
                            QuizLanguageId = new Guid("aec1c31d-2381-4203-98e6-2223d82aef54"),
                            QuizName = "Math Quiz",
                            QuizSlug = "math-quiz",
                            Score = 9.5,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("d3affd1e-3195-48ef-8d05-ca564277d656"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            QuizDescription = "Explore the world of science",
                            QuizLanguageId = new Guid("aec1c31d-2381-4203-98e6-2223d82aef55"),
                            QuizName = "Science Quiz",
                            QuizSlug = "science-quiz",
                            Score = 8.1999999999999993,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.QuizAnswer", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("584558d1-797a-47d8-aace-55565499d25a"));

                    b.Property<bool>("Correct")
                        .HasColumnType("bit");

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(7400));

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<Guid>("QuizQuestionId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(7461));

                    b.HasKey("Id");

                    b.HasIndex("QuizQuestionId");

                    b.ToTable("QuizAnswer", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("0d237e53-997c-4b9f-9cef-581d1e3f0bec"),
                            Correct = true,
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            QuizQuestionId = new Guid("09ae0899-1e3f-4b97-be73-d2f8b5b6b89b"),
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("0d237e53-997c-4b9f-9cef-581d1e3f0abc"),
                            Correct = false,
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            QuizQuestionId = new Guid("09ae0899-1e3f-4b97-be73-d2f8b5b6b46d"),
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.QuizLanguage", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("921ba1d3-14b0-4804-9e62-296f30b37ba0"));

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(8506));

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<string>("QuizLanguageName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(8585));

                    b.HasKey("Id");

                    b.ToTable("QuizLanguage", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("aec1c31d-2381-4203-98e6-2223d82aef54"),
                            QuizLanguageName = "C#"
                        },
                        new
                        {
                            Id = new Guid("aec1c31d-2381-4203-98e6-2223d82aef55"),
                            QuizLanguageName = "Java"
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.QuizQuestion", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("2a035b90-c7e8-4147-b6b6-1fcbe3ed9cb8"));

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(8995));

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<Guid>("LevelsId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("QuizId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<int>("Status")
                        .HasColumnType("int");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(9088));

                    b.HasKey("Id");

                    b.HasIndex("LevelsId");

                    b.HasIndex("QuizId");

                    b.ToTable("QuizQuestion", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("09ae0899-1e3f-4b97-be73-d2f8b5b6b89b"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LevelsId = new Guid("52ba17a0-3195-48ef-8d05-ca564277d548"),
                            QuizId = new Guid("d3affd1e-3195-48ef-8d05-ca564277d666"),
                            Status = 1,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("09ae0899-1e3f-4b97-be73-d2f8b5b6b50a"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LevelsId = new Guid("52ba17a0-3195-48ef-8d05-ca564277d548"),
                            QuizId = new Guid("d3affd1e-3195-48ef-8d05-ca564277d666"),
                            Status = 2,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("09ae0899-1e3f-4b97-be73-d2f8b5b6b46d"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            LevelsId = new Guid("52ba17a0-3195-48ef-8d05-ca564277d548"),
                            QuizId = new Guid("d3affd1e-3195-48ef-8d05-ca564277d666"),
                            Status = 3,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Role", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("7a7552f1-5e18-47c8-a579-21b7c4cae4e1"));

                    b.Property<string>("ConcurrencyStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("CreatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(9508));

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("NormalizedName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("RoleName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("UpdatedBy")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(9567));

                    b.HasKey("Id");

                    b.ToTable("Role", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("d8e53017-79db-4b8e-aa93-a2c7335bcdd0"),
                            ConcurrencyStamp = "1ca4ec3a-a05b-4cef-b9da-bfe9a12dfc52",
                            CreatedBy = "AdminUser",
                            CreatedDate = new DateTime(2023, 6, 10, 0, 32, 54, 584, DateTimeKind.Local).AddTicks(9643),
                            RoleName = "Admin",
                            UpdatedBy = "AdminUser",
                            UpdatedDate = new DateTime(2023, 6, 10, 0, 32, 54, 584, DateTimeKind.Local).AddTicks(9658)
                        },
                        new
                        {
                            Id = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            ConcurrencyStamp = "49d0d7b0-370d-4bca-919e-c224554a25ff",
                            CreatedBy = "AdminUser",
                            CreatedDate = new DateTime(2023, 6, 10, 0, 32, 54, 584, DateTimeKind.Local).AddTicks(9662),
                            RoleName = "User",
                            UpdatedBy = "AdminUser",
                            UpdatedDate = new DateTime(2023, 6, 10, 0, 32, 54, 584, DateTimeKind.Local).AddTicks(9662)
                        },
                        new
                        {
                            Id = new Guid("d8e53017-79db-4b8e-aa93-a2c7335bcdd1"),
                            ConcurrencyStamp = "63bd8438-b5d0-4150-bb25-4eab8f5df992",
                            CreatedBy = "AdminUser",
                            CreatedDate = new DateTime(2023, 6, 10, 0, 32, 54, 584, DateTimeKind.Local).AddTicks(9667),
                            RoleName = "Manager",
                            UpdatedBy = "AdminUser",
                            UpdatedDate = new DateTime(2023, 6, 10, 0, 32, 54, 584, DateTimeKind.Local).AddTicks(9668)
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Take", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("e435f48d-8124-481d-bbb0-aad301120d0c"));

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 585, DateTimeKind.Utc).AddTicks(1151));

                    b.Property<DateTime?>("FinishedAt")
                        .HasColumnType("datetime2");

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<Guid>("QuizId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<double>("Score")
                        .HasColumnType("float");

                    b.Property<DateTime?>("StartedAt")
                        .HasColumnType("datetime2");

                    b.Property<int>("Status")
                        .HasColumnType("int");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 585, DateTimeKind.Utc).AddTicks(1238));

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("QuizId");

                    b.HasIndex("UserId");

                    b.ToTable("Take", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("e940cef9-1911-47ea-874f-b2acedd6837b"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            FinishedAt = new DateTime(2023, 6, 10, 1, 2, 54, 585, DateTimeKind.Local).AddTicks(1282),
                            QuizId = new Guid("d3affd1e-3195-48ef-8d05-ca564277d666"),
                            Score = 8.5,
                            StartedAt = new DateTime(2023, 6, 10, 0, 32, 54, 585, DateTimeKind.Local).AddTicks(1280),
                            Status = 1,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            UserId = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("e940cef9-1911-47ea-874f-b2acedd6836a"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            FinishedAt = new DateTime(2023, 6, 10, 1, 17, 54, 585, DateTimeKind.Local).AddTicks(1291),
                            QuizId = new Guid("d3affd1e-3195-48ef-8d05-ca564277d656"),
                            Score = 7.2000000000000002,
                            StartedAt = new DateTime(2023, 6, 10, 0, 32, 54, 585, DateTimeKind.Local).AddTicks(1290),
                            Status = 2,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            UserId = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        },
                        new
                        {
                            Id = new Guid("e940cef9-1911-47ea-874f-b2acedd6835d"),
                            CreatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            FinishedAt = new DateTime(2023, 6, 10, 1, 32, 54, 585, DateTimeKind.Local).AddTicks(1297),
                            QuizId = new Guid("d3affd1e-3195-48ef-8d05-ca564277d666"),
                            Score = 9.0999999999999996,
                            StartedAt = new DateTime(2023, 6, 10, 0, 32, 54, 585, DateTimeKind.Local).AddTicks(1296),
                            Status = 1,
                            UpdatedBy = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            UserId = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.TakeAnswer", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("0356f723-6cf3-4c81-babb-30c54e25fe2c"));

                    b.Property<Guid?>("CreatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 584, DateTimeKind.Utc).AddTicks(9990));

                    b.Property<bool?>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<Guid>("QuizAnswerId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("TakeId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid?>("UpdatedBy")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 585, DateTimeKind.Utc).AddTicks(50));

                    b.HasKey("Id");

                    b.HasIndex("QuizAnswerId");

                    b.HasIndex("TakeId");

                    b.ToTable("TakeAnswer", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("9fcadbfd-28e7-4e5b-9e3d-0e33538187c8"),
                            QuizAnswerId = new Guid("0d237e53-997c-4b9f-9cef-581d1e3f0bec"),
                            TakeId = new Guid("e940cef9-1911-47ea-874f-b2acedd6837b")
                        },
                        new
                        {
                            Id = new Guid("9fcadbfd-28e7-4e5b-9e3d-0e33538187c9"),
                            QuizAnswerId = new Guid("0d237e53-997c-4b9f-9cef-581d1e3f0bec"),
                            TakeId = new Guid("e940cef9-1911-47ea-874f-b2acedd6837b")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.User", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValue(new Guid("7f13bd19-b2ab-4ba2-a803-c16daac00e98"));

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("int");

                    b.Property<string>("ConcurrencyStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("CreatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 585, DateTimeKind.Utc).AddTicks(1624));

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("bit");

                    b.Property<bool>("IsDeleted")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("NormalizedEmail")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("NormalizedUserName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PasswordHash")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid?>("PersonId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("bit");

                    b.Property<Guid?>("RoleId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTime>("UpdatedDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime2")
                        .HasDefaultValue(new DateTime(2023, 6, 9, 17, 32, 54, 585, DateTimeKind.Utc).AddTicks(1681));

                    b.Property<string>("UserName")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("PersonId");

                    b.HasIndex("RoleId");

                    b.ToTable("User", (string)null);

                    b.HasData(
                        new
                        {
                            Id = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "8dcebacd-aacc-4b77-93c2-bed0ac75a644",
                            CreatedDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "dodoanbac@gmail.com",
                            EmailConfirmed = false,
                            IsDeleted = false,
                            LockoutEnabled = false,
                            PasswordHash = "123123",
                            PersonId = new Guid("220db41c-8766-4dce-9467-d236a8489d22"),
                            PhoneNumberConfirmed = false,
                            RoleId = new Guid("d8e53017-79db-4b8e-aa93-a2c7335bcdd0"),
                            TwoFactorEnabled = false,
                            UpdatedDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            UserName = "doanbac07"
                        },
                        new
                        {
                            Id = new Guid("7f70269b-adb8-4954-8bf2-2c419017fd9e"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "5760b5f1-c021-4eda-b364-afb082fc0ff9",
                            CreatedDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "dodoanbac@gmail.com",
                            EmailConfirmed = false,
                            IsDeleted = false,
                            LockoutEnabled = false,
                            PasswordHash = "123123",
                            PersonId = new Guid("230db41c-8766-4dce-9467-d236a8489d23"),
                            PhoneNumberConfirmed = false,
                            RoleId = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            TwoFactorEnabled = false,
                            UpdatedDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            UserName = "doanbac07"
                        },
                        new
                        {
                            Id = new Guid("2d002d4c-1201-47ff-8af7-981e437621a8"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "2dde2310-18c3-4c0f-92c1-c3cd522f4c14",
                            CreatedDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "dodoanbac@gmail.com",
                            EmailConfirmed = false,
                            IsDeleted = false,
                            LockoutEnabled = false,
                            PasswordHash = "123321",
                            PersonId = new Guid("240db41c-8766-4dce-9467-d236a8489d24"),
                            PhoneNumberConfirmed = false,
                            RoleId = new Guid("d8e53017-79db-4b8e-aa93-a2c7335bcdd1"),
                            TwoFactorEnabled = false,
                            UpdatedDate = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            UserName = "doanbac07"
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.UserCourse", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("CourseId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("Date")
                        .HasColumnType("datetime2");

                    b.HasKey("UserId", "CourseId");

                    b.HasIndex("CourseId");

                    b.ToTable("UserCourse");

                    b.HasData(
                        new
                        {
                            UserId = new Guid("05c8c36a-89f5-43eb-8f38-976637f85489"),
                            CourseId = new Guid("150db41c-8766-4dce-9467-d236a8489d02")
                        },
                        new
                        {
                            UserId = new Guid("7f70269b-adb8-4954-8bf2-2c419017fd9e"),
                            CourseId = new Guid("150db41c-8766-4dce-9467-d236a8489d02")
                        });
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Course", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.QuizLanguage", "QuizLanguage")
                        .WithMany()
                        .HasForeignKey("QuizLanguageId");

                    b.Navigation("QuizLanguage");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Payment", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.UserCourse", "UserCourse")
                        .WithMany("Payments")
                        .HasForeignKey("UserId", "CourseId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("UserCourse");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.PersonExperience", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.Experience", "Experience")
                        .WithMany("PersonExperiences")
                        .HasForeignKey("ExperienceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("WebsiteProDev.DataLayer.Entity.Person", "Person")
                        .WithMany("PersonExperiences")
                        .HasForeignKey("PersonId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Experience");

                    b.Navigation("Person");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Quiz", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.QuizLanguage", "QuizLanguage")
                        .WithMany("Quizzes")
                        .HasForeignKey("QuizLanguageId");

                    b.Navigation("QuizLanguage");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.QuizAnswer", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.QuizQuestion", "QuizQuestion")
                        .WithMany("QuizAnswers")
                        .HasForeignKey("QuizQuestionId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("QuizQuestion");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.QuizQuestion", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.Level", "Levels")
                        .WithMany("QuizQuestions")
                        .HasForeignKey("LevelsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("WebsiteProDev.DataLayer.Entity.Quiz", "Quiz")
                        .WithMany("QuizQuestions")
                        .HasForeignKey("QuizId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Levels");

                    b.Navigation("Quiz");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Take", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.Quiz", "Quiz")
                        .WithMany("Takes")
                        .HasForeignKey("QuizId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("WebsiteProDev.DataLayer.Entity.User", "User")
                        .WithMany("Takes")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Quiz");

                    b.Navigation("User");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.TakeAnswer", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.QuizAnswer", "QuizAnswer")
                        .WithMany("TakeAnswers")
                        .HasForeignKey("QuizAnswerId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("WebsiteProDev.DataLayer.Entity.Take", "Take")
                        .WithMany("TakeAnswers")
                        .HasForeignKey("TakeId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.Navigation("QuizAnswer");

                    b.Navigation("Take");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.User", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.Person", "Person")
                        .WithMany("Users")
                        .HasForeignKey("PersonId");

                    b.HasOne("WebsiteProDev.DataLayer.Entity.Role", "Role")
                        .WithMany()
                        .HasForeignKey("RoleId");

                    b.Navigation("Person");

                    b.Navigation("Role");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.UserCourse", b =>
                {
                    b.HasOne("WebsiteProDev.DataLayer.Entity.Course", "Course")
                        .WithMany("UserCourses")
                        .HasForeignKey("CourseId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("WebsiteProDev.DataLayer.Entity.User", "User")
                        .WithMany("UserCourses")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Course");

                    b.Navigation("User");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Course", b =>
                {
                    b.Navigation("UserCourses");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Experience", b =>
                {
                    b.Navigation("PersonExperiences");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Level", b =>
                {
                    b.Navigation("QuizQuestions");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Person", b =>
                {
                    b.Navigation("PersonExperiences");

                    b.Navigation("Users");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Quiz", b =>
                {
                    b.Navigation("QuizQuestions");

                    b.Navigation("Takes");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.QuizAnswer", b =>
                {
                    b.Navigation("TakeAnswers");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.QuizLanguage", b =>
                {
                    b.Navigation("Quizzes");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.QuizQuestion", b =>
                {
                    b.Navigation("QuizAnswers");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.Take", b =>
                {
                    b.Navigation("TakeAnswers");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.User", b =>
                {
                    b.Navigation("Takes");

                    b.Navigation("UserCourses");
                });

            modelBuilder.Entity("WebsiteProDev.DataLayer.Entity.UserCourse", b =>
                {
                    b.Navigation("Payments");
                });
#pragma warning restore 612, 618
        }
    }
}
